#!../../bin/linux-x86/Eurotherm

< ${EPICS_IOCS}/All/Development/soft_pre_st.cmd
< envPaths
< envSets
epicsEnvSet(MODBUS_ADDR,"1")

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/Eurotherm.dbd",0,0)
Eurotherm_registerRecordDeviceDriver(pdbbase)

# Register HW and initialize it
drvAsynIPPortConfigure("ET_701","ts-fee-801:2105 TCP",0,0,0)
drvEurothermInit("ET_701",$(MODBUS_ADDR))
drvAsynIPPortConfigure("ET_702","ts-fee-801:2106 TCP",0,0,0)
drvEurothermInit("ET_702",$(MODBUS_ADDR))
drvAsynIPPortConfigure("ET_801","ts-fee-801:2102 TCP",0,0,0)
drvEurothermInit("ET_801",$(MODBUS_ADDR))
drvAsynIPPortConfigure("ET_802","ts-fee-801:2103 TCP",0,0,0)
drvEurothermInit("ET_802",$(MODBUS_ADDR))
drvAsynIPPortConfigure("ET_803","ts-fee-801:2104 TCP",0,0,0)
drvEurothermInit("ET_803",$(MODBUS_ADDR))

## Load record instances
dbLoadRecords("db/eurotherm.db","MODBUS_ADDR=$(MODBUS_ADDR)")
#asynSetTraceMask("COM0",0,8)
#asynSetTraceIOMask("COM0",0,4)   # Enable traceIOHex
#asynSetTraceFile("COM0", 0, "stdout")

#iocAdmin
dbLoadRecords("db/iocAdmin.db")

cd ${TOP}/iocBoot/${IOC}
iocInit()

< ${EPICS_IOCS}/All/Development/soft_post_st.cmd
